Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/17/2023 in all areas

  1. it may be a bug I fixed a while ago by not first saving text before starting properties dialog. I'll attach latest version I have, it has a few more (undocumented) bells & whistles but in its core its still the same. VT.LSP Note that some functions / buttons will not work because they only function on my company network like button 'serv' in main dialog and also revision in quick menu only works with my company's titleblocks.
    2 points
  2. and another way: (DEFUN C:SD ( / ) (setq P1 (GETPOINT "\n Pick Start Point :") ) (setq P2 (GETPOINT P1 "\n Pick End Point :") ) (setq EV (GETREAL "\n Enter Distance :") ) (setq XY (mapcar '+ (list EV 0 0) P1)) (COMMAND "POINT" P1) ; POINT P1 (COMMAND "POINT" P2) ; POINT P2 (COMMAND "POINT" XY) ; NEW POINT FROM P1 X - AXIS VALUE FOR EV DISTANCE (PRINT XY) ) EDITED CODE SLIGHTLY
    1 point
  3. Commands in general expect strings specifically when referring to coordinates, so here is one way doing it. (setq XY (strcat (rtos XV) "," (rtos YV) "," (rtos ZV))) (command "POINT" xy)
    1 point
  4. So did some work to try and understand this further and add in the error function you mentioned and got to this. (defun c:checkdistance ( / Mypoly ) (setq MyPoly (ssname (ssget "_+.:E:S" '((0 . "*POLYLINE"))) 0)) (if Mypoly ;start the if statment (princ (entget MyPoly)) ;if it is a valid polyline then get the Mypoly information (princ "No polyline found in the drawing.")) ;if it is not valid print this (princ) ;end the command neatly ) For some reason having the '(70 . 1)' was throwing up the "; error: bad argument type: lselsetp nil" not sure why
    1 point
  5. If all of the PDFs are simple like your example, it may work okay using AutoCAD. But, I would concentrate on fixing the text in the PDF before importing to AutoCAD. Maybe check some Adobe Acrobat fora and/or research the pdftoedit, ImageMagick, Ghostscript, etc. Overall, if you have a lot of them to do, you might be happier with the results. On that note, I have seen PDFIMPORT scripts, LISPs, etc. So fix the text in PDF, then batch create the .dwg for them.
    1 point
  6. Have a look at the D200R etc in this link, I am looking at version 2 that detects direction so knows dim L R U D. The 200 can be changed to some offset value that you would normally use or enter a value.
    1 point
  7. One tip might be to make a new viewport, failing that copy to a new drawing and see if that helps... resets everything to default though, viewport scales, colours and so on, or copy a layout that works and go from there. Oh, also close and restart CAD and the drawng - the old turn it off and on again
    1 point
  8. If I understand correct Use Mtext with back ground mask then it will automatically blank out the line underneath, google "text mask Autocad lisp"
    -1 points
×
×
  • Create New...